Subject: RE: [Sip] draft-elwell-sip-connected-identity-01.txt

From: "Elwell, John" <[email-masked]>
Date: Mon, 03 Apr 2006 20:58:43 +0100

Roland,

See below.

John

> -----Original Message-----
> From: Roland Jesske [mailto:[email-masked]] 
> Sent: 03 April 2006 09:28
> To: [email-masked]; [email-masked]; 
> [email-masked]; [email-masked]; 
> [email-masked]; Elwell, John; [email-masked]
> Subject: [Sip] draft-elwell-sip-connected-identity-01.txt
> 
> > Feng Chao worte:
> > The alternatives you brought up still need one mechanism to 
> protect the integrity of the connected-id. UPDATE leverages 
> the > identity work from Jon and Cullen. That is the reason 
> that this connected-id issue can be easily covered by the 
> identity work.
> 
> > Why not just insert response identity into response? This 
> is more generic and requires no additional response code ...  
> 
> Yes that would be one solution from my point of view that can 
> be used. I'm open to solutions where we get the connected 
> information within the response to the INVITE. And not using 
> a second Request-Response cycle.
[JRE] I understand the benefit of this, and it would be simple to define a
Response-Identity header that would do this. But we don't have a solution
for authenticating it at present. Without authentication it is no better
than P-Asserted-Identity, so within a trusted environment use that. Progress
of the connected-identity draft need not prevent people continuing to search
for a response identity solution, and indeed I would be happy if we could
find a solution. But that would be complementary to the connected-identity
solution.

> 
> Roland
> 
> 
> _______________________________________________________________
> SMS schreiben mit WEB.DE FreeMail - einfach, schnell und
> kostenguenstig. Jetzt gleich testen! http://f.web.de/?mc=021192
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip